<?php
/**
 * Plugin cibloc
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/cibloc_commun');
include_spip('inc/cibloc_cache');

// lire le cache
include_spip('inc/cibloc_lire_cache');
cibloc_lire_cache_definition();


function cibloc_config_liste_ensemble($arg='') {
    $liste = '';
    $libelle_titre = '';
    
    $tableau_de_tableaux = cibloc_configuration_des_ensembles();

    foreach ($tableau_de_tableaux AS $type_et_id=>$bloc) {
        $preremplir_propre = '';
        $preremplir_popin = '';
        $paragrapher = 'oui';
        $ok = true;
    
        // condition par une constante
        if (isset($bloc['constante']) AND cibloc_verifier_constante($bloc['constante'],$type_et_id)){
            $constante = texte_script($bloc['constante']);
            if ($constante AND !(defined($constante) AND constant($constante)=='oui')){
                $ok = false;
            }
        }

        if ($ok){
            if (isset($bloc['preremplir'])){
                $preremplir_propre = $bloc['preremplir'];
            }
            $preremplir_popin = cibloc_openWith($bloc['type'],$bloc['id'],$preremplir_propre).cibloc_closeWith($bloc['type'],$bloc['id'],$preremplir_propre);

            if (isset($bloc['paragrapher']) AND $bloc['paragrapher']=='non'){
                $paragrapher = 'non';
            }
            
            $libelle_inserer = _T('cibloc:configurer');
            if (cibloc_imposer_parametrage('ensemble')){
                $libelle_inserer = _T('cibloc:voir_configuration');
            }
            if (isset($bloc['source']) AND $bloc['source']=='creation'){
                $libelle_inserer = _T('cibloc:configurer');
            } 
            
            $libelle_titre = str_replace("\'","'",$bloc['nom']);
            $libelle_titre_long = $libelle_titre;
            if (isset($bloc['statut']) AND $bloc['statut']!='active'){
                $libelle_titre_long .= ' <div style="font-size:0.7rem;padding-top:0.3rem;">['._T('cibloc:statut_'.$bloc['statut']).']</div>';                
            }
            
            $url = generer_url_ecrire("cibloc_config_ensemble", "type_et_id=".$type_et_id);
            
            $liste .= '<li><a href="'.$url.'" class="cibloc_titre_bloc" title="'. $libelle_inserer . ' ' . $libelle_titre . '">' . $libelle_inserer . ' ' .$libelle_titre_long . '</a>';
            $liste .= '<a href="'.$url.'" class="cibloc_sans_vignette_lien" title="'. $libelle_inserer . ' ' . $libelle_titre . '"><div class="cibloc_sans_vignette cibloc_sans_vignette_'. $type_et_id .'">';
            $liste .= cibloc_relatif_ep2(cibloc_preremplir_propre($preremplir_popin,$paragrapher));
            $liste .= '</div></a></li>';
        }
    };
    
    return '<ul>' . $liste . '</ul>';
} 

function cibloc_relatif_ep2($texte){
    $texte = str_replace(array('href="plugins','src="plugins'),array('href="../plugins','src="../plugins'),$texte);
    
    return $texte;
}


?>